<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/View/Format.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.View.Format</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../HTML.html" >HTML</a>.<a href="../View.html" >View</a>
</div><div class="class-name">class Format

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Formatters/HTML/View.py.html" target="detail">../Synopsis/Formatters/HTML/View.py</a></div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Format" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line19" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Format-inheritance" src="Format-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Format-inheritance_map" />
<map name="Format-inheritance_map"><area alt="Scopes/Synopsis/Formatters/HTML/View/Template.html" href="Template.html" shape="rect" coords="5, 81, 269, 105" />
</map>
 <div class="doc">Default and base class for formatting a view layout. The Format
    class basically defines the HTML used at the start and end of the view.
    The default creates an XHTML compliant header and footer with a proper
    title&#44; and link to the stylesheet.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="init">init</a>(<span class="variable">self</span>, <span class="variable">processor</span>, <span class="variable">prefix</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Format.init" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line25" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Format.html#view_header" >view_header</a></span>(<span class="variable">self</span>, <span class="variable">os</span>, <span class="variable">title</span>, <span class="variable">body</span>, <span class="variable">headextra</span>, <span class="variable">view</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Format.view_header" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line29" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Called to output the view header to the given output stream.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Format.html#view_footer" >view_footer</a></span>(<span class="variable">self</span>, <span class="variable">os</span>, <span class="variable">body</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Format.view_footer" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line53" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Called to output the view footer to the given output stream.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="view_header">view_header</a>(<span class="variable">self</span>, <span class="variable">os</span>, <span class="variable">title</span>, <span class="variable">body</span>, <span class="variable">headextra</span>, <span class="variable">view</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Format.view_header" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line29" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Called to output the view header to the given output stream.
        @param os a file-like object &#40;use os.write&#40;&#41;&#41;
        @param title the title of this view
        @param body the body tag&#44; which may contain extra parameters such as
        onLoad scripts&#44; and may also be empty eg: for the frames index
        @param headextra extra html to put in the head section&#44; such as
        scripts
        </div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="view_footer">view_footer</a>(<span class="variable">self</span>, <span class="variable">os</span>, <span class="variable">body</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Format.view_footer" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line53" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Called to output the view footer to the given output stream.
        @param os a file-like object &#40;use os.write&#40;&#41;&#41;
        @param body the close body tag&#44; which may be empty eg: for the frames
        index
        </div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:01 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
